---
type: docs
title: "Supported stores"
linkTitle: "Supported stores"
description: "CRUD and/or transactional support for supported stores"
weight: 20000
no_list: true
---

The following stores are supported, at various levels, by the Dapr state management building block:

| Name                                                           | CRUD | Transactional |
|----------------------------------------------------------------|------|---------------|
| [Aerospike]({{< ref setup-aerospike.md >}})                    | ✅  | ❌            |
| [Cassandra]({{< ref setup-cassandra.md >}})                    | ✅  | ❌            |
| [Cloudstate]({{< ref setup-cloudstate.md >}})                  | ✅  | ❌            |
| [Couchbase]({{< ref setup-couchbase.md >}})                    | ✅  | ❌            |
| [etcd]({{< ref setup-etcd.md >}})                              | ✅  | ❌            |
| [Hashicorp Consul]({{< ref setup-consul.md >}})                | ✅  | ❌            |
| [Hazelcast]({{< ref setup-hazelcast.md >}})                    | ✅  | ❌            |
| [Memcached]({{< ref setup-memcached.md >}})                    | ✅  | ❌            |
| [MongoDB]({{< ref setup-mongodb.md >}})                        | ✅  | ✅            |
| [PostgreSQL]({{< ref setup-postgresql.md >}})                  | ✅  | ✅            |
| [Redis]({{< ref setup-redis.md >}})                            | ✅  | ✅            |
| [Zookeeper]({{< ref setup-zookeeper.md >}})                    | ✅  | ❌            |
| [Azure CosmosDB]({{< ref setup-azure-cosmosdb.md >}})          | ✅  | ✅            |
| [Azure SQL Server]({{< ref setup-sqlserver.md >}})             | ✅  | ✅            |
| [Azure Table Storage]({{< ref setup-azure-tablestorage.md >}}) | ✅  | ❌            |
| [Azure Blob Storage]({{< ref setup-azure-blobstorage.md >}})   | ✅  | ❌            |
| [Google Cloud Firestore]({{< ref setup-firestore.md >}})       | ✅  | ❌            |

